
Figure - Bug #118288
【IOVDEV-30840】【VC1】【100】【台架】【EE环境】【副屏】【遥控器】弱网络下，移动端设备打开遥控
器模块入口，第一次进入遥控器模块页面显示遥控器方向键，第二次进入遥控器模块页面显示弹窗连接已断开
，第三次遥控器模块页面显示连接失败页面� 
2023-05-26 20:30 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.100.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230511 17：13

【前提条件】：副屏上电

移动端设备与副屏连接，进入高合EEapp

移动端设备与副屏连接同一个热点网络

此bug测试了3次，问题出现1次

手机型号：

手机型号：华为Mate Xs2典藏版

HarmoneyOS:3.0.0

HarmoneyOS应用版本:5.24.0

弱网问题

【操作步骤】

1.点击dock栏选择HIPhi并下滑点击遥控器模块

【实际结果】

副屏与移动端设备连接同一网络，移动端设备第一次进入遥控器模块，正常显示遥控器方向控制页，第二次进入遥控器，显示连接已断

开弹窗，第三次进入遥控器，页面显示连接失败

【期望结果】

副屏与移动端设备连接同一网络，移动端设备每一次进入遥控器模块，显示遥控器方向控制页

【当前开机次数】：副屏119次开机

【百度应用版本】：10.6.1003.5

【硬件版本号】：

【中控版本号】：03.02.0082.C101
【副屏版本号】：01.00.100.c103

【高合ee应用版本】：5.24.0

IDCM  VIN：HRYTTESTVINMGM402

SN：HRYTTESTVINID0402

History

#1 - 2023-05-26 20:34 - CDTS_TEST 王成

- File video_1685088647.mp4 added

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118288/tlog_iov0201017500006162025411a2212290000000981_000119_0526154116.tar.gz

#2 - 2023-05-27 10:26 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#3 - 2023-05-27 13:45 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS_TEST 王成

Hi,王成

请确认日志是否正确，为何复现时间和日志对不上

【问题出现时间】：20230511 17：13

日志时间：05-26 15:37:17.357

#4 - 2023-05-27 16:42 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW-程天颖

客户更新问题出现时间为：：20230526 17：13

#5 - 2023-05-29 20:47 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CDTS_TEST 王成

Hi,王成，日志时间为15：36到15:41，复现时间为20230526 17：13请确抓取的日志是否正确

#6 - 2023-05-29 20:47 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

#7 - 2023-06-03 15:52 - CDTS_Test 吴诗雨

云端log已上传ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118288
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118288/tlog_iov0201017500006162025411a2212290000000981_000119_0526154116.tar.gz
1685778454689.zip为20230526 17：13的日志

1685778527568.zip为客户复现的日志，问题出现时间2023.05.31.15:31之前，手机号：18629666668 手机型号：HUAWEI Mate xs2 典藏版

#8 - 2023-06-03 15:52 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW-程天颖

#9 - 2023-06-05 11:12 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS_Test 吴诗雨

■ Current conclusion

对日志进行了分析

■ My analysis

1685778454689.zip的日志中，日志截止时间为05-26 17:11:02.975 ，并没有复现时间点的日志。

1685778527568.zip的日志中，未找到遥控器相关日志，怀疑是手机遥控器寻找副屏ip地址的udp广播并成功发送到副屏，导致手机app连接不上。

udp为不可靠传输，在弱网情况无法成功发送到目的地属于正常现象，如果是副屏在弱网情况下未收到udp广播而连接不上，需要对讨论该问题是否需要

处理。

■Next action

1.需要对20230526 17：13的日志进行分析，1685778454689.zip中没被有该时间段的日志。

2.需要提供bug复现阶段，手机遥控器sdk的相关日志，用于确定手机端连接不上的原因

#10 - 2023-06-09 20:16 - CDTS_Test 吴诗雨

jira bug已解决状态

#11 - 2023-07-04 17:51 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

遥控器版本被优化，关闭此问题

#12 - 2023-07-04 17:51 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#13 - 2023-07-04 17:51 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

video_1685088647.mp4 5.18 MB 2023-05-26 CDTS_TEST 王成
